Bug 27765

Summary: Deadlock in LookNode
Product: contrib Reporter: David Strupl <dstrupl>
Component: LooksAssignee: Petr Hrebejk <phrebejk>
Status: VERIFIED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P1 Keywords: THREAD
Version: 3.x   
Target Milestone: 3.x   
Hardware: All   
OS: All   
Whiteboard:
Issue Type: DEFECT Exception Report:
Attachments: Thread dump

Description David Strupl 2002-10-03 13:39:42 UTC
LookNode revision 1.5.6.15.

in getCookie this causes deadlock:

            // Ask the Looks for additional cookies
            synchronized( this ) {
                Object c = getFirer ().getCookie
(type);
                return c instanceof Node.Cookie ?
(Node.Cookie)c : null;
            }
Will attach thread dump.
Comment 1 David Strupl 2002-10-03 13:40:58 UTC
Created attachment 7586 [details]
Thread dump
Comment 2 _ ttran 2002-10-10 22:12:48 UTC
Where is the THREAD keyword?
Comment 3 Petr Hrebejk 2002-12-08 17:29:05 UTC
Fixed in the branch looks_jul_2002_private. LookNode does not have the
getCookie method anymore. It uses the default implementation in Node
which delegates the call to Node's lookup.
Comment 4 David Strupl 2003-07-11 16:09:57 UTC
x
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo